---
title: "Google Maps API: Advanced Search | Perceptlayer"
description: "Advanced Search from Google Maps as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/google-maps/advanced-search
---

[APIs](https://perceptlayer.com/apis) / [Google Maps](https://perceptlayer.com/apis/google-maps) / Advanced Search

# Google Maps: Advanced Search

Advanced Search from Google Maps as JSON. 1 credit per successful call.

GET `/v1/google-maps/advanced-search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Required | Any |
| `lon` | number | Optional | Any |
| `lat` | number | Optional | Any |
| `zoom` | number | Required | Any |
| `limit` | number | Optional | Any |
| `page` | number | Optional | Any |
| `hl` | string | Optional | Any |
| `gl` | string | Optional | Any |
| `google_domain` | string | Optional | Up to 100 characters |
| `fields` | string | Optional | Up to 500 characters |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/google-maps/advanced-search?query=coffee+shops+in+Berlin&zoom=13&lat=52.52&lon=13.405&limit=5&hl=en&gl=de" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/google-maps?try=advanced-search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
